Package com.collibra.dgc.core.api.model.meta.type

# Interface RelationType

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface RelationType extends Resource
Represents the type of a relation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCoRole()`
  Returns the name of the role that target plays in the relation.
  `String`
  `getDescription()`
  Returns the description of the relation type.
  `String`
  `getPublicId()`
  Returns the public id of the relation type.
  `String`
  `getRole()`
  Returns the name of the role that source plays in the relation.
  `NamedResourceReference`
  `getSourceType()`
  Returns the source type for this relation type.
  `NamedResourceReference`
  `getTargetType()`
  Returns the target type of this relation type.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getPublicId

    String getPublicId()
    Returns the public id of the relation type.
    Returns:
      the public id

  - ### getSourceType

    NamedResourceReference getSourceType()
    Returns the source type for this relation type. The reference can only have a resourceDiscriminator of value 'AssetType', 'ComplexRelationType' or 'Trait'.
    Returns:
      the source type for this relation type

  - ### getTargetType

    NamedResourceReference getTargetType()
    Returns the target type of this relation type.
    Returns:
      the target type of this relation type

  - ### getRole

    String getRole()
    Returns the name of the role that source plays in the relation.
    Returns:
      the name of the role that source plays in the relation

  - ### getCoRole

    String getCoRole()
    Returns the name of the role that target plays in the relation.
    Returns:
      the name of the role that target plays in the relation

  - ### getDescription

    String getDescription()
    Returns the description of the relation type.
    Returns:
      the description of the relation type